Subject: bug#13848: Statically linking guile-2.0.

From: Jan Schukat <[email-masked]>
Date: Sat, 09 Mar 2013 14:44:58 +0100

Sorry for the long time waiting. As I said, I had to get some real work 
done.

Just tried it again on windows/mingw with the newer tarball:

http://hydra.nixos.org/build/4290536/download/3/guile-2.0.7.157-929d1.tar.gz

This one to be exact. On windows7 with mingw this is the result:

checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `/c/Users/shookie/guiletest/lib/guile-2.0':
configure: error: C compiler cannot create executables
See `config.log' for more details
make: *** [lib/lib/libguile-2.0.a] Error 77

and config.log says:

configure:5226: $? = 0
configure:5215: gcc -v >&5
Using built-in specs.
COLLECT_GCC=C:\MinGW\bin\gcc.exe
COLLECT_LTO_WRAPPER=c:/mingw/bin/../libexec/gcc/mingw32/4.7.2/lto-wrapper.exe
Target: mingw32
Configured with: ../gcc-4.7.2/configure 
--enable-languages=c,c++,ada,fortran,objc,obj-c++ 
--disable-sjlj-exceptions --with-dwarf2 --enable-shared --enable-libgomp 
--disable-win32-registry --enable-libstdcxx-debug 
--disable-build-poststage1-with-cxx 
--enable-version-specific-runtime-libs --build=mingw32 --prefix=/mingw
Thread model: win32
gcc version 4.7.2 (GCC)
configure:5226: $? = 0
configure:5215: gcc -V >&5
gcc.exe: error: unrecognized command line option '-V'
gcc.exe: fatal error: no input files
compilation terminated.

Regards

Jan Schukat

On 03/07/2013 12:12 AM, Ludovic Courtès wrote:
> Jan Schukat <[email-masked]> skribis:
>
>> On mingw the latest source snapshot tarball (after taking care of the
>> struct timespec trouble) ends in a compilation error on I can't really
>> make any sense off:
>>
>>    SNARF  numbers.x
>> numbers.c:7643:5: error: missing binary operator before token "("
> This is fixed by commit 6db7ee7 of the ‘stable-2.0’ branch (it will be
> in 2.0.8).  Can you try from a tarball at
> <http://hydra.nixos.org/job/gnu/guile-2-0/tarball/latest/download>?
> (Wait for an hour so that the build farm has time to catch up.)
>
> Thanks,
> Ludo’.